/******************************************************************************
 Basierend auf den Libraries von Peter Fleury!

 Im Main-Programm wir das Ergebnis des Volumenstroms auf das LCD ausgegeben.
 Der Code (die header-files und die lcd.c) beruht auf den Libraries von Peter Fleury.
 Die Main-Funktion und die AD-Wandlung sind selbst erstellt.
 
*******************************************************************************/

#include "lcd.h"
#include <avr\io.h>



void lcd_write(uint8_t data,uint8_t rs); 		//Funktions-Deklaration
uint8_t lese_Temperatur();
void berechnen_VStrom();
float lese_Absolutdruck(void);
float lese_Differenzdruck(void);

int main (void)
{	
	//char temperatur;
	//int i;

	lcd_init(LCD_DISP_ON);				//Initialisiere Display
	lcd_home();							//Clear Screen und home-Position des Displays
	lcd_gotoxy(0,0);					//erste Zeile, erster Buchstabe
	lcd_puts("Volumenstrom:");			//schreibe "Volumenstrom:" in die erste Zeile
	lcd_gotoxy(10,1);					//gehe an Position 6 in Zeile 2
	lcd_puts("Nl/min");					//schreibe dort "Nl/min" als Einheit.
	

while(1)
	{
		//float temp, absdruck, diffdruck;

		lcd_gotoxy(0,1);
		//temp = lese_Temperatur();
		//absdruck = 13.7;
		//diffdruck = 5.9;
		//berechnen_VStrom(temp, absdruck, diffdruck);
		lese_Temperatur();
	}
}
